OracleDataDrivenDBInputFormat (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.lib.db, class: OracleDataDrivenDBInputFormat

Package org.apache.hadoop.mapreduce.lib.db

# Class OracleDataDrivenDBInputFormat<T extends DBWritable>

java.lang.Object
org.apache.hadoop.mapreduce.InputFormat<LongWritable,T>
org.apache.hadoop.mapreduce.lib.db.DBInputFormat<T>
org.apache.hadoop.mapreduce.lib.db.DataDrivenDBInputFormat<T>
org.apache.hadoop.mapreduce.lib.db.OracleDataDrivenDBInputFormat<T>

All Implemented Interfaces:
  `Configurable`

@Public @Evolving public class OracleDataDrivenDBInputFormat<T extends DBWritable> extends DataDrivenDBInputFormat<T> implements Configurable
A InputFormat that reads input data from an SQL table in an Oracle db.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.db.DataDrivenDBInputFormat

  `org.apache.hadoop.mapreduce.lib.db.DataDrivenDBInputFormat.DataDrivenDBInputSplit`

  ## Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.db.DBInputFormat

  `org.apache.hadoop.mapreduce.lib.db.DBInputFormat.DBInputSplit, org.apache.hadoop.mapreduce.lib.db.DBInputFormat.NullDBWritable`

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.mapreduce.lib.db.DataDrivenDBInputFormat

  `SUBSTITUTE_TOKEN`

  ### Fields inherited from class org.apache.hadoop.mapreduce.lib.db.DBInputFormat

  `conditions, connection, dbConf, dbProductName, fieldNames, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OracleDataDrivenDBInputFormat()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected RecordReader<LongWritable,T>`
  `createDBRecordReader(org.apache.hadoop.mapreduce.lib.db.DBInputFormat.DBInputSplit split, Configuration conf)`
  `protected DBSplitter`
  `getSplitter(int sqlDataType)`

  ### Methods inherited from class org.apache.hadoop.mapreduce.lib.db.DataDrivenDBInputFormat

  `getBoundingValsQuery, getSplits, setBoundingQuery, setInput, setInput`

  ### Methods inherited from class org.apache.hadoop.mapreduce.lib.db.DBInputFormat

  `closeConnection, createConnection, createRecordReader, getConf, getConnection, getCountQuery, getDBConf, getDBProductName, setConf`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.conf.Configurable

  `getConf, setConf`

- ## Constructor Details

  - ### OracleDataDrivenDBInputFormat

    public OracleDataDrivenDBInputFormat()

- ## Method Details

  - ### getSplitter

    protected DBSplitter getSplitter(int sqlDataType)
    Overrides:
      `getSplitter` in class `DataDrivenDBInputFormat<T extends DBWritable>`
    Returns:
      the DBSplitter implementation to use to divide the table/query into InputSplits.

  - ### createDBRecordReader

    protected RecordReader<LongWritable,T> createDBRecordReader(org.apache.hadoop.mapreduce.lib.db.DBInputFormat.DBInputSplit split, Configuration conf) throws IOException
    Overrides:
      `createDBRecordReader` in class `DataDrivenDBInputFormat<T extends DBWritable>`
    Throws:
      `IOException`